Statistics
1646
9
0
16d
Badges
Tags
api
Dependencies

MetisFW/PayPal

Build Status Downloads this Month Latest stable

About

PayPal payment integration to Nette framework. Internally use paypal/PayPal-PHP-SDK for api requests.

Inspired by Kdyby/PayPalExpress

Installation

The best way to install is using Composer:

$ composer require metisfw/paypal

Documentation

Learn more in the documentation.

There are other classes in this package that are not documented here. This is because the package is a Nette wrapper of the official PayPal PHP SDK.

License

You may use this package under the terms of either the New BSD License or the GNU General Public License (GPL) version 2 or 3.

  • v1.2.0 v1.2.0

    • Use Nette trait SmartObject instead of inheriting from Object

    • Supporting Nette version 2.4 and higher and php version 5.6 and higher.

  • v1.1.0 v1.1.0

    Improve tracking of payments in Google Analytics

  • v1.0.0 v1.0.0

  • v0.9.1 v0.9.1

Is this addon outdated? Did you find an issue? Please report it.

Componette Componette admin@componette.com